Commit f77d3aff authored by thorsten.vitt's avatar thorsten.vitt
Browse files

Merge branch 'release/3.0'

parents 41761fc2 4e53da2c
[submodule "textgridlab-dependencies"]
path = textgridlab-dependencies
url = git@git.projects.gwdg.de:textgridlab-dependencies.git
branch = release/3.0
[submodule "core"]
path = core
url = git@git.projects.gwdg.de:lab-core.git
branch = release/2.2
branch = release/3.0
[submodule "base"]
path = base
url = git@git.projects.gwdg.de:lab-base.git
branch = release/2.2
branch = release/3.0
[submodule "xmleditor"]
path = xmleditor
url = git@git.projects.gwdg.de:xmleditor.git
branch = release/2.2
branch = release/3.0
[submodule "help"]
path = help
url = git@git.projects.gwdg.de:help.git
branch = release/2.2
branch = release/3.0
[submodule "linkeditor"]
path = linkeditor
url = git@git.projects.gwdg.de:linkeditor.git
branch = release/2.2
branch = release/3.0
[submodule "dictionaries"]
path = dictionaries
url = git@git.projects.gwdg.de:dictionaries.git
branch = release/2.2
branch = release/3.0
Please see the documentation at
https://dev2.dariah.eu/wiki/display/TextGrid/TextGridLab+Development+Environment
To get up and running from the source code, please see the documentation at
<https://dev2.dariah.eu/wiki/display/TextGrid/TextGridLab+Development+Environment>.
If you just wish to get a compiled lab from a specific version of the code, you
can run ./build-locally.sh from this directory. Be sure to have all submodules
first, if in doubt, run
git submodule update --init
build-locally.sh will run `mvn clean package` on each of the submodules and
will make sure that they use each other's output as their base repository.
There are some more files in this directory which you will most probably not need:
|------------------------+--------------------------------------------------------|
| build-locally.sh | builds all of TextGridLab from the local source |
| create-pom-property.sh | refactors a version number to a property in a pom file |
| generate-src.sh | generates a source code archive for the whole lab |
| options.tpl | template file for -debug .options |
| parent | parent pom for all lab modules |
| set-version.sh | sets the TextGridLab version number |
|------------------------+--------------------------------------------------------|
The following files are obsolete and only here for documenting past actions:
|------------------------+--------------------------------------------------------|
| unify-project-names | renamed project directories to sensible names |
| generate-psf.sh | generated a team project file (OBSOLETE) |
|------------------------+--------------------------------------------------------|
base @ 1384324d
Subproject commit 6f2a11c8cf81fc18e16a2e09be8438a30b25da16
Subproject commit 1384324dd1c35f721f7900b1a23acf8ae473a30b
......@@ -30,6 +30,14 @@ else
boldoff=
fi
die() {
msg=$1
exitcode=${2-1}
echo
echo "${bold}$msg${boldoff}"
exit $exitcode
}
# WARNING NOT SAFE
repo_url="file:/`pwd`/$REPO"
cmdline="$MVN -Dlab.repository.root=${repo_url} -Dlab.repository.dependencies=${repo_url}/textgridlab-dependencies $MVN_ARGS $@"
......@@ -60,8 +68,8 @@ do
(
echo "${bold}Building $project ...${boldoff}"
cd $project
$cmdline || exit $?
$cmdline || die "$cmdline => $?" $?
echo
) || break
) || die "Error building $project: exiting ..." $?
done
exit $?
core @ b7f3778e
Subproject commit e51cc1e8efeb85456ba7035c7720c63931896ab6
Subproject commit b7f3778e6643083ecd18c92f2736307151294040
dictionaries @ 5ab333a8
Subproject commit 05acc88170ab8a1f267695addeeaf297b10a8c1d
Subproject commit 5ab333a8abccf59979dcff0c353a28209f992f42
#!/bin/sh
help() {
cat <<EOH
$0 [outputfile.tar.gz]
Generates a tar.gz archive of all TextGridLab sources and saves it to the given
output file. If called with no argument, write to an auto-generated filename.
EOH
}
if [ -n "$1" ]
then
case "$1" in
-h|--help)
help
exit 1 ;;
-*)
echo "ERROR: Unknown option: $1"
help
exit 2 ;;
*)
finalfile="$1"
break ;;
esac
fi
tardir=`mktemp -d`
export tardir
version=`git describe --tags`
mainfilename="TextGridLab-${version}.src.tar"
finalfile=${finalfile-"${mainfilename}.gz"}
collect="${tardir}/${mainfilename}"
export collect
echo "Archiving all source code to ${finalfile}."
git archive -o "${collect}" HEAD
git submodule foreach --recursive '
git archive -o "${tardir}/${name}.tar" --prefix="${path}/" HEAD;
tar --concatenate -f "${collect}" "${tardir}/${name}.tar";
rm "${tardir}/${name}.tar"
'
echo "Compressing ..."
gzip -c -v -N --rsyncable "${collect}" > ${finalfile}
echo "Deleting temporary files ..."
rm -rf "${tardir}"
echo "Done. "
help @ f23eb8e6
Subproject commit c70da4e45416f241f9ecebff5a753b2080f8657e
Subproject commit f23eb8e6c6455dce9aa52f3a684eab19d0a952de
linkeditor @ 358a13ce
Subproject commit dd3921e48e62ad6324015894755aa811226792fc
Subproject commit 358a13cea795b65e865027e5d3c4337f67a32778
# Debugging options for the org.eclipse.ui.intro.universal.
# Master flag for all org.eclipse.ui.intro.universal plugin debug options.
org.eclipse.ui.intro.universal/debug = true
# Enable logging of information messages in the plugin. By default, info
# messages are not logged. Setting this option to true will enable logging
# trace information messages.
org.eclipse.ui.intro.universal/trace/logInfo = true
# Enable logging of performance messages in the plugin. By default, performance
# messages are not logged. Setting this option to true will enable logging
# trace information messages. (note: enabling info logging does not enable
# this flag.)
org.eclipse.ui.intro.universal/trace/logPerformance = false
# Performance flags used by the Performance framework to report failures
# of specific thresholds.
# Time to create and display the full Intro view.
# org.eclipse.ui.intro/perf/createView = 1000
# Time needed to switch between Intro standby states.
# org.eclipse.ui.intro/perf/setStandbyState = 300# Debugging options for the org.eclipse.ui.intro.universal.
# Master flag for all org.eclipse.ui.intro.universal plugin debug options.
org.eclipse.ui.intro.universal/debug = true
# Enable logging of information messages in the plugin. By default, info
# messages are not logged. Setting this option to true will enable logging
# trace information messages.
org.eclipse.ui.intro.universal/trace/logInfo = true
# Enable logging of performance messages in the plugin. By default, performance
# messages are not logged. Setting this option to true will enable logging
# trace information messages. (note: enabling info logging does not enable
# this flag.)
org.eclipse.ui.intro.universal/trace/logPerformance = false
# Performance flags used by the Performance framework to report failures
# of specific thresholds.
# Time to create and display the full Intro view.
# org.eclipse.ui.intro/perf/createView = 1000
# Time needed to switch between Intro standby states.
# org.eclipse.ui.intro/perf/setStandbyState = 300# Debugging options for the org.eclipse.ui.intro.universal.
# Master flag for all org.eclipse.ui.intro.universal plugin debug options.
org.eclipse.ui.intro.universal/debug = true
# Enable logging of information messages in the plugin. By default, info
# messages are not logged. Setting this option to true will enable logging
# trace information messages.
org.eclipse.ui.intro.universal/trace/logInfo = true
# Enable logging of performance messages in the plugin. By default, performance
# messages are not logged. Setting this option to true will enable logging
# trace information messages. (note: enabling info logging does not enable
# this flag.)
org.eclipse.ui.intro.universal/trace/logPerformance = false
# Performance flags used by the Performance framework to report failures
# of specific thresholds.
# Time to create and display the full Intro view.
# org.eclipse.ui.intro/perf/createView = 1000
# Time needed to switch between Intro standby states.
# org.eclipse.ui.intro/perf/setStandbyState = 300# Debugging options for the org.eclipse.ui.intro.universal.
# Master flag for all org.eclipse.ui.intro.universal plugin debug options.
org.eclipse.ui.intro.universal/debug = true
# Enable logging of information messages in the plugin. By default, info
# messages are not logged. Setting this option to true will enable logging
# trace information messages.
org.eclipse.ui.intro.universal/trace/logInfo = true
# Enable logging of performance messages in the plugin. By default, performance
# messages are not logged. Setting this option to true will enable logging
# trace information messages. (note: enabling info logging does not enable
# this flag.)
org.eclipse.ui.intro.universal/trace/logPerformance = false
# Performance flags used by the Performance framework to report failures
# of specific thresholds.
# Time to create and display the full Intro view.
# org.eclipse.ui.intro/perf/createView = 1000
# Time needed to switch between Intro standby states.
# org.eclipse.ui.intro/perf/setStandbyState = 300# Debugging options for the org.eclipse.ui.intro.universal.
# Master flag for all org.eclipse.ui.intro.universal plugin debug options.
org.eclipse.ui.intro.universal/debug = true
# Enable logging of information messages in the plugin. By default, info
# messages are not logged. Setting this option to true will enable logging
# trace information messages.
org.eclipse.ui.intro.universal/trace/logInfo = true
# Enable logging of performance messages in the plugin. By default, performance
# messages are not logged. Setting this option to true will enable logging
# trace information messages. (note: enabling info logging does not enable
# this flag.)
org.eclipse.ui.intro.universal/trace/logPerformance = false
# Performance flags used by the Performance framework to report failures
# of specific thresholds.
# Time to create and display the full Intro view.
# org.eclipse.ui.intro/perf/createView = 1000
# Time needed to switch between Intro standby states.
# org.eclipse.ui.intro/perf/setStandbyState = 300# General debugging flags.
info.textgrid.lab.core.efs.tgcrud/debug=false
# Trace CRUD web service calls.
info.textgrid.lab.core.efs.tgcrud/debug/servicecalls=false
# Trace local file materialization.
info.textgrid.lab.core.efs.tgcrud/debug/localfile=false
# Log READ access to the Eclipse log file, including stack trace.
info.textgrid.lab.core.efs.tgcrud/debug/reads=false
# Trace ALL the input stream operations (of the logging input stream).
info.textgrid.lab.core.efs.tgcrud/debug/streams=false
# Use new features of the UI (like the ResultPage)
info.textgrid.lab.core.importexport/new-gui = true# General model debugging.
info.textgrid.lab.core.model/debug=false
# Write out incompleteness stuff
info.textgrid.lab.core.model/debug/incomplete=false
# Verbosely dump incomplete metadata
info.textgrid.lab.core.model/debug/incomplete/verbose=false
info.textgrid.lab.search/debug=false
info.textgrid.lab.search/debug/request-timing=false
info.textgrid.lab.search/debug/lazy-query=false# Debug the schema URI resolver
info.textgrid.lab.xmleditor.mpeditor/debug/resolve=false
info.textgrid.lab.xmleditor.mpeditor/debug/resource-change=falsenet.sf.vex.editor/debug=false
net.sf.vex.editor/debug/config=false
net.sf.vex.editor/debug/layout=falsenet.sf.vex.toolkit/debug=false
net.sf.vex.toolkit/debug/nodeadapter=false
net.sf.vex.toolkit/debug/syncevents=false
net.sf.vex.toolkit/debug/selection=false
net.sf.vex.toolkit/debug/annotations=false
# Try to validate the linked model on various occasions
net.sf.vex.toolkit/debug/validate-model=false
\ No newline at end of file
......@@ -4,7 +4,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>info.textgrid.lab</groupId>
<artifactId>parent</artifactId>
<version>2.1.0</version>
<version>2.8.0-SNAPSHOT</version>
<packaging>pom</packaging>
......@@ -14,7 +14,7 @@
<java-version>1.6</java-version>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<lab.repository.eclipse>http://download.eclipse.org/releases/indigo</lab.repository.eclipse>
<lab.repository.eclipse>http://download.eclipse.org/releases/luna</lab.repository.eclipse>
<lab.repository.dependencies>http://download.digital-humanities.de/updates/repository</lab.repository.dependencies>
<lab.repository.root>http://download.digital-humanities.de/updates/textgridlab</lab.repository.root>
<lab.repository.core>${lab.repository.root}/core</lab.repository.core>
......@@ -22,7 +22,28 @@
<lab.repository.help>${lab.repository.root}/help</lab.repository.help>
<lab.repository.linkeditor>${lab.repository.root}/linkeditor</lab.repository.linkeditor>
<lab.repository.dictionaries>${lab.repository.root}/dictionaries</lab.repository.dictionaries>
</properties>
</properties>
<repositories>
<repository>
<!-- TODO remove this as soon as the TP works -->
<id>eclipse</id>
<layout>p2</layout>
<url>${lab.repository.eclipse}</url>
</repository>
<repository>
<!-- TODO remove this as soon as the TP works -->
<id>babel</id>
<layout>p2</layout>
<url>http://download.eclipse.org/technology/babel/update-site/R0.12.1/luna</url>
</repository>
<repository>
<!-- TODO remove this as soon as the TP works -->
<id>orbit</id>
<layout>p2</layout>
<url>http://download.eclipse.org/tools/orbit/downloads/drops/R20140525021250/repository/</url>
</repository>
</repositories>
<!-- <repositories> <repository> <id>swt-patch</id> <layout>p2</layout>
<url>http://textgridlab.org/updates/swt-patch</url> </repository> <repository>
......@@ -40,6 +61,20 @@
<repository> <id>orbit</id> <layout>p2</layout> <url>http://download.eclipse.org/tools/orbit/downloads/drops/R20120119162704/repository/</url>
</repository> </repositories> -->
<!-- cf. https://github.com/jbosstools/jbosstools-maven-plugins/wiki -->
<pluginRepositories>
<pluginRepository>
<id>jboss-public-repository-group</id>
<name>JBoss Public Repository Group</name>
<url>http://repository.jboss.org/nexus/content/groups/public/</url>
</pluginRepository>
<pluginRepository>
<id>jboss-snapshots-repository</id>
<name>JBoss Snapshots Repository</name>
<url>https://repository.jboss.org/nexus/content/repositories/snapshots/</url>
</pluginRepository>
</pluginRepositories>
<distributionManagement>
<repository>
<id>internal</id>
......@@ -66,8 +101,14 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<target>
<artifact>
<artifactId>target-platform</artifactId>
<version>4.4.0-SNAPSHOT</version>
</artifact>
</target>
<resolver>p2</resolver>
<ignoreTychoRepositories>false</ignoreTychoRepositories>
<ignoreTychoRepositories>false</ignoreTychoRepositories>
<environments>
<environment>
<os>linux</os>
......@@ -143,7 +184,6 @@
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-plugin</artifactId>
<version>${tycho-version}</version>
<executions>
<execution>
<id>attach-p2-metadata</id>
......
......@@ -32,5 +32,6 @@ xmlstarlet ed -P -L -N m=http://maven.apache.org/POM/4.0.0 -u //m:archiveFileNam
xmlstarlet ed -P -L -u /product/@version -v "${version}.qualifier" base/base-repository/info.textgrid.lab.core.application.base_product.product
xmlstarlet ed -P -L -u /product/@name -v "$productname" base/base-repository/info.textgrid.lab.core.application.base_product.product
xmlstarlet ed -P -L -u '//product[@application="info.textgrid.lab.core.application"]/@name' -v "$productname" base/info.textgrid.lab.core.application/plugin.xml
xmlstarlet ed -P -L -u '//property[@name="appName"]/@value' -v "$productname" base/info.textgrid.lab.core.application/plugin.xml
( cd base && git diff )
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
<name>target-platform</name>
<comment></comment>
<projects>
</projects>
<buildSpec>
<buildCommand>
<name>org.eclipse.m2e.core.maven2Builder</name>
<arguments>
</arguments>
</buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.m2e.core.maven2Nature</nature>
</natures>
</projectDescription>
activeProfiles=
eclipse.preferences.version=1
resolveWorkspaceProjects=true
version=1
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<artifactId>target-platform</artifactId>
<version>4.4.0-SNAPSHOT</version>
<packaging>eclipse-target-definition</packaging>
<parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>parent</artifactId>
<version>2.8.0-SNAPSHOT</version>
<relativePath>../parent</relativePath>
</parent>
<build>
<plugins>
<plugin>
<groupId>org.eclipse.tycho.extras</groupId>
<artifactId>target-platform-validation-plugin</artifactId>
<version>${tycho-extras-version}</version>
<configuration>
<targetFiles>
<targetFile>${project.artifactId}.target</targetFile>
</targetFiles>
<!-- There is a problem with a new powerpc based platform in the Eclipse SDK :-( -->
<failOnError>false</failOnError>
</configuration>
<executions>
<execution>
<id>validate-target-platform</id>
<goals>
<goal>validate-target-platform</goal>
</goals>
<phase>validate</phase>
</execution>
</executions>
</plugin>
</plugins>
<pluginManagement>
<plugins>
<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<pluginExecutionFilter>
<groupId>
org.eclipse.tycho.extras
</groupId>
<artifactId>
target-platform-validation-plugin
</artifactId>
<versionRange>
[0.20.0,)
</versionRange>
<goals>
<goal>
validate-target-platform
</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore></ignore>
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
</project>
This diff is collapsed.
textgridlab-dependencies @ 58fdb4ee
Subproject commit 14c3d045f13854b9d5a02e034a035266d2e23687
Subproject commit 58fdb4eea70621f77caac7703c90f1e933771721
xmleditor @ 5cfc52ce
Subproject commit 54234284778becf39245e8210a761eb54424c521
Subproject commit 5cfc52ce64b568ee5fb49adc9e204ee8e37cfff6
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment